<div class="container-fluid my-5">
<div class="row mb-5 d-flex justify-content-center">
    <%= form_tag "/upload", multipart: true, class: 'form-horizontal' do %>
    <%= file_field_tag 'file', class: 'form-field border' %>
    <%= submit_tag "Upload File", class: 'btn btn-primary' %>
<% end %>
</div>

<div class="table-responsive">
    <table class="table table-sm" id="my-datatable" data-cols="<%= @cols%>">
    <thead>
    <tr>
        <% @table_headers.each do |col| %>
            <td><%= col.titleize%></td>
        <% end %>
    </tr>
    </thead>
    <tbody>
    </tbody>
    </table>
    <br>
</div>
</div>

<script>
    jQuery(document).ready(function() {
        var cols = $('#my-datatable').data('cols')
        $('#my-datatable').dataTable({
            "dom": 'Bfrtip',
            "buttons": [
                {
                    extend: 'csv',
                    exportOptions: { columns: ':visible' }
                }
                , 'excel',
                {
                    extend: 'colvis',
                    columns: ':not(.noVis)'
                }
            ],
            "columnDefs": [{ "orderable": false, "targets": -1 }],
            "ajax": '/data',
            "columns": cols,
            "select": true,
        });
    });
</script>